Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.j2ee.statistics
Interface JCAConnectionPoolStats

All Superinterfaces:
  JCAConnectionStats, Stats

public interface JCAConnectionPoolStats
extends JCAConnectionStats

Specifies the statistics provided by a JCA Connection Pool

Method Summary
`CountStatistic` | `getCloseCount()` The number of connections closed
`CountStatistic` | `getCreateCount()` The number of connections created
`BoundedRangeStatistic` | `getFreePoolSize()` The number of free connections in the pool
`BoundedRangeStatistic` | `getPoolSize()` The size of the connection pool
`RangeStatistic` | `getWaitingThreadCount()` The number of threads waiting for a connection

Methods inherited from interface javax.management.j2ee.statistics.JCAConnectionStats
`getConnectionFactory, getManagedConnectionFactory, getUseTime, getWaitTime`

Methods inherited from interface javax.management.j2ee.statistics.Stats
`getStatistic, getStatisticNames, getStatistics`

Method Detail

### getCloseCount

    public CountStatistic getCloseCount()

  The number of connections closed

  Returns:
    CountStatistic

### getCreateCount

    public CountStatistic getCreateCount()

  The number of connections created

  Returns:
    CountStatistic

### getFreePoolSize

    public BoundedRangeStatistic getFreePoolSize()

  The number of free connections in the pool

  Returns:
    BoundedRangeStatistic

### getPoolSize

    public BoundedRangeStatistic getPoolSize()

  The size of the connection pool

  Returns:
    BoundedRangeStatistic

### getWaitingThreadCount

    public RangeStatistic getWaitingThreadCount()

  The number of threads waiting for a connection

  Returns:
    BoundedRangeStatistic

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.